
Redmine - Patch #11684

Truncate incoming emails

2012-08-23 02:14 - Joel Thompson

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Description

While setting up Redmine for work, we decided we needed the incoming emails to be truncated properly, to remove any quotes when

replying.

I came up with a patch for the mail handler which will automatically strip everything after the reply message. I figured this might be

able to be worked into Redmine as an option in the settings, it works with replying to a Redmine email from outlook which I have

tested but it should also work with replies from gmail, apple mail, and some other mail clients.

Related issues:

Related to Redmine - Feature #5864: Regex Text on Receiver Email Closed 2010-07-10

History

#1 - 2012-08-23 03:13 - Toshi MARUYAMA

- Category set to Email receiving

#2 - 2012-08-23 08:57 - Etienne Massip

Why not simply fill the Truncate emails after one of these lines accordingly in the Administration/Settings/Incoming mails tab?

#3 - 2012-08-24 05:42 - Joel Thompson

Etienne Massip wrote:

Why not simply fill the Truncate emails after one of these lines accordingly in the Administration/Settings/Incoming mails tab?

 Well to be honest, I could not figure out how to get that to work using a regular expression, maybe some better documentation would provide useful

for this part. However I still think a simple check box asking if you want to truncate emails which works across "most" email clients is the simplest and

most elegant solution.

Which is why I shared this patch as I thought this could be a good start at implementing it.

#4 - 2013-10-30 16:15 - Marc D.

+1 exactly what I was searching for, Thank you!

Just had to edit it for german mails.

The method of redmine works fine, but incase the email client adds something with a date or something like that it doesnt work, because you cant use

wildcards.:(

#5 - 2014-02-18 05:46 - Toshi MARUYAMA

- Related to Feature #5864: Regex Text on Receiver Email added

#6 - 2016-10-17 18:21 - First Last

Ah, this old issue :(

I tried this patch with latest docker redmine's release. It worked for GNU/Linux's Thunderbird, but not for Windows 7's Thunderbird [1]. I suspect is the

difference in new line character between Windows and GNU/Linux

[1] not working means that after applying the patch, there's no expression evaluated to truncate the message: could be regex or not; does not work.

Without the patch works; but without regex.

#7 - 2019-02-09 09:53 - Go MAEDA

- Status changed from New to Closed
You can use regular expressions for the "Truncate emails after one of these lines" setting in Redmine 3.4.0 and later (#5864). It covers this feature

request.

Files

mailTruncate.patch 1.26 KB 2012-08-23 Joel Thompson
